classification
Title: Revert _decimal C API changes
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: facundobatista, mark.dickinson, miss-islington, pitrou, rhettinger, serhiy.storchaka, shihai1991, terry.reedy, vstinner
Priority: normal Keywords: patch

Created on 2021-03-06 15:18 by pitrou, last changed 2021-03-21 16:32 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24792 closed pitrou, 2021-03-08 22:52
PR 24960 merged pitrou, 2021-03-21 16:04
Messages (10)
msg388205 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-06 15:18
Stefan Krah (who doesn't have access rights here, and is the author of the C _decimal module) asked me to transmit me this request:
"""
The capsule API does not meet my testing standards, since I've focused
on the upstream mpdecimal in the last couple of months.

Additionally, I'd like to refine the API, perhaps together with the
Arrow community.
"""

The relevant diff is here:
https://github.com/python/cpython/compare/master...skrah:revert_decimal_capsule_api

I can turn it into a PR but first I'd like to gather reactions here.
msg388208 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-03-06 15:57
+1 fron me.
msg388231 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2021-03-07 10:17
+1 for reverting these before 3.10. See also @mattip's comments on #41324, and #43060.
msg388245 - (view) Author: Hai Shi (shihai1991) * (Python triager) Date: 2021-03-07 17:03
+1 from me. 3.10.0 final haven't been released, so no one will be affected.
msg388278 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-03-08 18:24
I have a concern about the current _decimal C API: bpo-43060. I'm fine with removing it in Python 3.10, and add it back fixed in Python 3.11 or later.

> I can turn it into a PR but first I'd like to gather reactions here.

Go ahead.
msg388565 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-03-12 23:19
skrah is still a bpo user with an CLA-signed account linked to his github account.  So he can post here and, I believe, open a PR as a contributor.  But if, under the current circumstances, he feels more comfortable using Antoine as a go between, then I thank Antoine for doing so.
msg388681 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-14 18:13
Terry, the list of roles in https://bugs.python.org/user11089 is empty, which I take it to mean that Stefan doesn't have any access rights on this issue tracker (except to read issues).  Other users all seem to have the "User" role.
msg388683 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-03-14 20:01
OK.  I see no structural difference between his page and yours, https://bugs.python.org/user2040.  No 'Roles' field, no 'User' entry, on either page, nor on mine.  So you must be an admin who sees extra info.  In any case, the last part of my comment stands.
msg388684 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-14 20:03
FWIW, I have the roles "User,Developer,Coordinator" according to my user page.
You (Terry) have the roles "User,Developer".
Perhaps the "Coordinator" role explains I see things you don't see (it's a better explanation than believing I am a psychic :-D).
msg389247 - (view) Author: miss-islington (miss-islington) Date: 2021-03-21 16:27
New changeset cdddc2b742750e3f289305cf276433a8170c32c1 by Antoine Pitrou in branch 'master':
bpo-43422: Revert _decimal C API addition (GH-24960)
https://github.com/python/cpython/commit/cdddc2b742750e3f289305cf276433a8170c32c1
History
Date User Action Args
2021-03-21 16:32:55pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-21 16:27:57miss-islingtonsetnosy: + miss-islington
messages: + msg389247
2021-03-21 16:04:45pitrousetpull_requests: + pull_request23718
2021-03-14 20:03:55pitrousetmessages: + msg388684
2021-03-14 20:01:46terry.reedysetmessages: + msg388683
2021-03-14 18:13:25pitrousetmessages: + msg388681
2021-03-12 23:19:22terry.reedysetnosy: + terry.reedy
messages: + msg388565
2021-03-08 22:52:28pitrousetkeywords: + patch
stage: patch review
pull_requests: + pull_request23559
2021-03-08 18:24:15vstinnersetmessages: + msg388278
2021-03-07 17:03:35shihai1991setnosy: + shihai1991, vstinner
messages: + msg388245
2021-03-07 10:17:35mark.dickinsonsetmessages: + msg388231
2021-03-06 15:57:14rhettingersetmessages: + msg388208
2021-03-06 15:18:26pitroucreate